Subject: Re: Problem with 745x errata in 2.6.8

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sun, 19 Sep 2004 20:23:23 +1000

On Sun, 2004-09-19 at 20:16, Ken Moffat wrote:

>  Actually, I think it's kept in a locked cupboard in a room labelled
> "beware of the leopard", in a basement at the bottom of some broken
> stairs.  FWIW, the option biting me is CPU_FTR_NEED_COHERENT - no real
> surprises there.
> 
>  I'll have another go at trying to talk to them.  Thanks for your
> responses.

Yes, we have to set the "M" (coherent) bit on all memory pages even
when not running SMP on those CPUs to work around a CPU bug.

Ben.